#########################################################
#########################################################
###      ###      ### ##### ##       ##       ###      ##
## ######## ###### ##  #### ## ########### ##### ########
## ######## ###### ## # ### ## ########### ##### ########
## ######## ###### ## ## ## ##       ##### ##### ##   ###
## ######## ###### ## ### # ## ########### ##### ##### ##
## ######## ###### ## ####  ## ########### ##### ##### ##
###      ###      ### ##### ## ########       ###     ###
#########################################################
#########################################################

# Enable Joinsound (On by default)
# 1 = ON
# 0 = OFF
rs_joinsound_cfg = 1

# Enable Terrorist Win Sounds (On by default)
# 1 = ON
# 0 = OFF
rs_twin_cfg = 1

# Enable Counter-Terrorist Win Sounds (On by default)
# 1 = ON
# 0 = OFF
rs_ctwin_cfg = 1

# Enable Gun Menu (On by default)
# 1 = ON
# 0 = OFF
rs_guns_cfg = 1

# Enable Death Effect (On by default)
# 1 = ON
# 0 = OFF
rs_deatheffect_cfg = 1

# Enable No Fall Damage (On by default)
# Note, damage can't be greater than your health
# 1 = ON
# 0 = OFF
rs_nofalldamage_cfg = 1

# Enable Bunnyhop Boost (On by default)
# Note, please change sv_airaccelerate 999999 and sv_enablebunnyhopping 1 in your server cfg. Required to work properly
# 1 = ON
# 0 = OFF
rs_bhopboost_cfg = 1

# Enable No Block (On by default)
# 1 = ON
# 0 = OFF
rs_noblock_cfg = 1

# Enable getting 16000 money on each round (On by default)
# 1 = ON
# 0 = OFF
rs_startmoney_cfg = 1

# Enable auto removal of C4 when picked up (On by default)
# 1 = ON
# 0 = OFF
rs_nobomb_cfg = 1

#########################################################
#########################################################
###      ###      ###      ###       ## ##### ###      ##
## ######## ###### ## ##### ##### #####  #### ## ########
## ######## ###### ## ##### ##### ##### # ### ## ########
## ######## ###### ## ##### ##### ##### ## ## ## ##   ###
## ######## ###### ## ##### ##### ##### ### # ## ##### ##
## ######## ###### ## ##### ##### ##### ####  ## ##### ##
###      ###      ###      ###       ## ##### ###     ###
#########################################################
#########################################################

import es
import random
import playerlib
import popuplib

info = es.AddonInfo()
info.name        = "RS-Multi"
info.version     = "1.2.0"
info.author      = "Remilia Scarlet"
info.credit      = "L.P.H (sounds), Casper (sounds)"

def es_map_start(event_var):
    es.stringtable('downloadables', 'sound/RS-Multi/join-1.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/join-2.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/join-3.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/join-4.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/join-5.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/twin-1.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/twin-2.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/twin-3.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/twin-4.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/twin-5.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/twin-6.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/twin-7.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/twin-8.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/twin-9.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/twin-10.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/twin-11.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/twin-12.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/twin-13.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/twin-14.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/twin-15.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/ctwin-1.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/ctwin-2.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/ctwin-3.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/ctwin-4.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/ctwin-5.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/ctwin-6.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/ctwin-7.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/ctwin-8.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/ctwin-9.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/ctwin-10.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/ctwin-11.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/ctwin-12.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/ctwin-13.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/ctwin-14.mp3')
    es.stringtable('downloadables', 'sound/RS-Multi/ctwin-15.mp3')

def load():
    global rs_guns_main
    global rs_guns_sub1
    global rs_guns_sub2
    global rs_guns_sub3
    global rs_guns_sub4
    global rs_guns_sub5
    global rs_guns_sub6
    global rs_guns_sub7
    rs_guns_main = popuplib.easymenu('Gun_Menu', '_popup_choice', gun_menuselect)
    rs_guns_main.settitle('RS-Multi Gun Menu') 
    rs_guns_main.addoption('1', 'Pistols')
    rs_guns_main.addoption('2', 'Shotguns')
    rs_guns_main.addoption('3', 'Sub-Machine Guns')
    rs_guns_main.addoption('4', 'Rifles')
    rs_guns_main.addoption('5', 'Machine Guns')
    rs_guns_sub1 = popuplib.easymenu('Pistols_Menu', '_popup_choice', pistols_menuselect)
    rs_guns_sub1.settitle('Pistols')
    rs_guns_sub1.addoption('6', 'Glock')
    rs_guns_sub1.addoption('7', 'Usp')
    rs_guns_sub1.addoption('8', 'P228')
    rs_guns_sub1.addoption('9', 'Five-Seven')
    rs_guns_sub1.addoption('10', 'Deagle')
    rs_guns_sub1.addoption('11', 'Elite')
    rs_guns_sub2 = popuplib.easymenu('Shotguns_Menu', '_popup_choice', shotguns_menuselect)
    rs_guns_sub2.settitle('Shotguns')
    rs_guns_sub2.addoption('12', 'M3')
    rs_guns_sub2.addoption('13', 'Xm1014')
    rs_guns_sub3 = popuplib.easymenu('SubMachineGuns_Menu', '_popup_choice', submachineguns_menuselect)
    rs_guns_sub3.settitle('SMG')
    rs_guns_sub3.addoption('14', 'Tmp')
    rs_guns_sub3.addoption('15', 'Mac10')
    rs_guns_sub3.addoption('16', 'Ump45')
    rs_guns_sub3.addoption('17', 'Mp5navy')
    rs_guns_sub3.addoption('18', 'P90')
    rs_guns_sub3.addoption('19', 'Galil')
    rs_guns_sub4 = popuplib.easymenu('Rifles_Menu', '_popup_choice', rifles_menuselect)
    rs_guns_sub4.settitle('Rifles')
    rs_guns_sub4.addoption('20', 'Ak47')
    rs_guns_sub4.addoption('21', 'M4a1')
    rs_guns_sub4.addoption('22', 'Aug')
    rs_guns_sub4.addoption('23', 'Sg552')
    rs_guns_sub4.addoption('24', 'Scout')
    rs_guns_sub4.addoption('25', 'Awp')
    rs_guns_sub4.addoption('26', 'Sg550')
    rs_guns_sub4.addoption('27', 'G3sg1')
    rs_guns_sub5 = popuplib.easymenu('Machinegun_Menu', '_popup_choice', machinegun_menuselect)
    rs_guns_sub5.settitle('Machine Gun')
    rs_guns_sub5.addoption('28', 'M249')

def gun_menuselect(userid, choice, popupid):
    if choice == '1':
        rs_guns_sub1.send(userid)
    elif choice == '2':
        rs_guns_sub2.send(userid)
    elif choice == '3':
        rs_guns_sub3.send(userid)
    elif choice == '4':
        rs_guns_sub4.send(userid)
    elif choice == '5':
        rs_guns_sub5.send(userid)
        
def pistols_menuselect(userid, choice, popupid):
    if choice == '6':
        es.server.cmd("es_xgive %s weapon_glock" % userid)
    elif choice == '7':
        es.server.cmd("es_xgive %s weapon_usp" % userid)
    elif choice == '8':
        es.server.cmd("es_xgive %s weapon_p228" % userid)
    elif choice == '9':
        es.server.cmd("es_xgive %s weapon_fiveseven" % userid)
    elif choice == '10':
        es.server.cmd("es_xgive %s weapon_deagle" % userid)
    elif choice == '11':
        es.server.cmd("es_xgive %s weapon_elite" % userid)
        
def shotguns_menuselect(userid, choice, popupid):
    if choice == '12':
        es.server.cmd("es_xgive %s weapon_m3" % userid)
    elif choice == '13':
        es.server.cmd("es_xgive %s weapon_xm1014" % userid)
        
def submachineguns_menuselect(userid, choice, popupid):
    if choice == '14':
        es.server.cmd("es_xgive %s weapon_tmp" % userid)
    elif choice == '15':
        es.server.cmd("es_xgive %s weapon_mac10" % userid)
    elif choice == '16':
        es.server.cmd("es_xgive %s weapon_ump45" % userid)
    elif choice == '17':
        es.server.cmd("es_xgive %s weapon_mp5navy" % userid)
    elif choice == '18':
        es.server.cmd("es_xgive %s weapon_p90" % userid)
    elif choice == '19':
        es.server.cmd("es_xgive %s weapon_galil" % userid)
        
def rifles_menuselect(userid, choice, popupid):
    if choice == '20':
        es.server.cmd("es_xgive %s weapon_ak47" % userid)
    elif choice == '21':
        es.server.cmd("es_xgive %s weapon_m4a1" % userid)
    elif choice == '22':
        es.server.cmd("es_xgive %s weapon_aug" % userid)
    elif choice == '23':
        es.server.cmd("es_xgive %s weapon_sg552" % userid)
    elif choice == '24':
        es.server.cmd("es_xgive %s weapon_scout" % userid)
    elif choice == '25':
        es.server.cmd("es_xgive %s weapon_awp" % userid)
    elif choice == '26':
        es.server.cmd("es_xgive %s weapon_sg550" % userid)
    elif choice == '27':
        es.server.cmd("es_xgive %s weapon_g3sg1" % userid)
        
def machinegun_menuselect(userid, choice, popupid):
    if choice == '28':
        es.server.cmd("es_xgive %s weapon_m249" % userid)

def player_activate(event_var):
    if rs_joinsound_cfg == 1:
        userid = event_var['userid']
        rs_join = random.randint(1,5)
        if rs_join == 1:
            es.cexec(userid, 'playgamesound', 'RS-Multi/join-1.mp3')
        if rs_join == 2:
            es.cexec(userid, 'playgamesound', 'RS-Multi/join-2.mp3')
        if rs_join == 3:
            es.cexec(userid, 'playgamesound', 'RS-Multi/join-3.mp3')
        if rs_join == 4:
            es.cexec(userid, 'playgamesound', 'RS-Multi/join-4.mp3')
        if rs_join == 5:
            es.cexec(userid, 'playgamesound', 'RS-Multi/join-5.mp3')

def round_start(event_var):
    es.msg('#multi', '#green[RS-Multi] Is Running On This Server!')

def round_end(event_var):
    if rs_twin_cfg == 1:
        if event_var['winner'] == "2":
            rs_twin = random.randint(1,15)
            if rs_twin == 1:
                es.cexec_all('playgamesound', 'RS-Multi/twin-1.mp3')
            if rs_twin == 2:
                es.cexec_all('playgamesound', 'RS-Multi/twin-2.mp3')
            if rs_twin == 3:
                es.cexec_all('playgamesound', 'RS-Multi/twin-3.mp3')
            if rs_twin == 4:
                es.cexec_all('playgamesound', 'RS-Multi/twin-4.mp3')
            if rs_twin == 5:
                es.cexec_all('playgamesound', 'RS-Multi/twin-5.mp3')
            if rs_twin == 6:
                es.cexec_all('playgamesound', 'RS-Multi/twin-6.mp3')
            if rs_twin == 7:
                es.cexec_all('playgamesound', 'RS-Multi/twin-7.mp3')
            if rs_twin == 8:
                es.cexec_all('playgamesound', 'RS-Multi/twin-8.mp3')
            if rs_twin == 9:
                es.cexec_all('playgamesound', 'RS-Multi/twin-9.mp3')
            if rs_twin == 10:
                es.cexec_all('playgamesound', 'RS-Multi/twin-10.mp3')
            if rs_twin == 11:
                es.cexec_all('playgamesound', 'RS-Multi/twin-11.mp3')
            if rs_twin == 12:
                es.cexec_all('playgamesound', 'RS-Multi/twin-12.mp3')
            if rs_twin == 13:
                es.cexec_all('playgamesound', 'RS-Multi/twin-13.mp3')
            if rs_twin == 14:
                es.cexec_all('playgamesound', 'RS-Multi/twin-14.mp3')
            if rs_twin == 15:
                es.cexec_all('playgamesound', 'RS-Multi/twin-15.mp3')

    if rs_ctwin_cfg == 1:
        if event_var['winner'] == "3":
            rs_ctwin = random.randint(1,15)
            if rs_ctwin == 1:
                es.cexec_all('playgamesound', 'RS-Multi/ctwin-1.mp3')
            if rs_ctwin == 2:
                es.cexec_all('playgamesound', 'RS-Multi/ctwin-2.mp3')
            if rs_ctwin == 3:
                es.cexec_all('playgamesound', 'RS-Multi/ctwin-3.mp3')
            if rs_ctwin == 4:
                es.cexec_all('playgamesound', 'RS-Multi/ctwin-4.mp3')
            if rs_ctwin == 5:
                es.cexec_all('playgamesound', 'RS-Multi/ctwin-5.mp3')
            if rs_ctwin == 6:
                es.cexec_all('playgamesound', 'RS-Multi/ctwin-6.mp3')
            if rs_ctwin == 7:
                es.cexec_all('playgamesound', 'RS-Multi/ctwin-7.mp3')
            if rs_ctwin == 8:
                es.cexec_all('playgamesound', 'RS-Multi/ctwin-8.mp3')
            if rs_ctwin == 9:
                es.cexec_all('playgamesound', 'RS-Multi/ctwin-9.mp3')
            if rs_ctwin == 10:
                es.cexec_all('playgamesound', 'RS-Multi/ctwin-10.mp3')
            if rs_ctwin == 11:
                es.cexec_all('playgamesound', 'RS-Multi/ctwin-11.mp3')
            if rs_ctwin == 12:
                es.cexec_all('playgamesound', 'RS-Multi/ctwin-12.mp3')
            if rs_ctwin == 13:
                es.cexec_all('playgamesound', 'RS-Multi/ctwin-13.mp3')
            if rs_ctwin == 14:
                es.cexec_all('playgamesound', 'RS-Multi/ctwin-14.mp3')
            if rs_ctwin == 15:
                es.cexec_all('playgamesound', 'RS-Multi/ctwin-15.mp3')

def player_say(event_var):
    userid = event_var['userid']
    if rs_guns_cfg == 1:
        if event_var['text'] == '/guns':
            rs_guns_main.send(userid)

def player_falldamage(event_var):
    userid = event_var['userid']
    if rs_nofalldamage_cfg == 1:
        playerlib.getPlayer(userid).health += float(event_var['damage'])

def player_jump(event_var):
    userid = event_var['userid']
    if rs_bhopboost_cfg == 1:
        playerlib.getPlayer(userid).push(30, 4, 1)

def player_spawn(event_var):
    userid = event_var['userid']
    if rs_noblock_cfg == 1:
        es.setplayerprop(userid, 'CBaseEntity.m_CollisionGroup', 2)

    if rs_startmoney_cfg == 1:
        es.setplayerprop(userid, 'CCSPlayer.m_iAccount', 16000)

def item_pickup(event_var):
    userid = event_var['userid']
    if rs_nobomb_cfg == 1:
        if event_var['item'] == 'c4':
            es.server.queuecmd('es_xfire %s weapon_c4 kill'%userid)
            es.server.queuecmd('es_cexec %s lastinv'%userid)

def player_death(event_var):
    userid = event_var['userid']
    if rs_deatheffect_cfg == 1:
        es.server.queuecmd('es_give %s env_entity_dissolver'%userid)
        es.server.queuecmd('es_xfire %s env_entity_dissolver AddOutput "target cs_ragdoll"'%userid)
        es.server.queuecmd('es_xfire %s env_entity_dissolver AddOutput "magnitude 1"'%userid)
        es.server.queuecmd('es_xfire %s env_entity_dissolver AddOutput "dissolvetype %s"'%(userid, 3))
        es.server.queuecmd('es_xfire %s env_entity_dissolver AddOutput "dissolvetype %s"'%(userid, 1))
        es.server.queuecmd('es_xfire %s env_entity_dissolver Dissolve'%userid)

def unload():
    rs_guns_main.delete()
    rs_guns_sub1.delete()
    rs_guns_sub2.delete()
    rs_guns_sub3.delete()
    rs_guns_sub4.delete()
    rs_guns_sub5.delete()